Class | HTML::WhiteListSanitizer
In: | lib/action_controller/vendor/html-scanner/html/sanitizer.rb
Parent: | Sanitizer

### Methods

contains_bad_protocols? process_attributes_for process_node sanitize_css tokenize

### Public Instance methods

sanitize_css(style)

Sanitizes a block of css code. Used by sanitize when it comes across a style attribute

### Protected Instance methods

contains_bad_protocols?(attr_name, value)
process_attributes_for(node, options)
process_node(node, result, options)
tokenize(text, options)

[Validate]